# DXGfxLib.IAmScriptable Interface Reference

Inherited by DXGfxLib.Scene, DXGfxLib.Scene, DXGfxLib.SceneObject, and DXGfxLib.SceneObject.

List of all members.

## Public Member Functions
void | SetScript (Script script)
| THis method will use the Script instance passed as parameter and will set as the Script associated with this scene node.
Script | GetScript ()
| This method will return the Script instance associated with the scene node.
void | SetTimeLine (TimeLine timeLine)
| Same as SetScript but for timelines.
TimeLine | GetTimeLine ()
| Will return the instance of the TimeLine class associated with this scene node.
void | Evaluate (double appTime, float elapsedTime)
| The evaluate method will ask the script and the timeline to evaluate themselves. This is a form of update but the work is different from what is performed in the update method. The update method will update geometric information (bounding boxes....). The evaluate method will 'update' the node as far as the logic (script and timeline) associated with it is concerned. This method is marked virtual because you could create classes deriving from SceneNode that will implement their own logic through different means than the script and the timeline. Then in these derive classes you will have the opportunity to update the node logic and values through this method.
void | Reset ()
| Scripts and timeline have reset methods. They will be called when the simulation is reseted (stoped and restarted from the beginning).
void | AddEvent (Event evt)
| This method will add events to the list of events of our scene node.
void | RemoveEvent (Event evt)
| This method is the pendant of the RemoveEvent.
Event[] | popEventsByName (string name)
| Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.
Event[] | popEventsByType (string type)
| Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.
Event[] | peekEventsByName (string name)
| Like popEventsByName except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.
Event[] | peekEventsByType (string type)
| Like popEventsByType except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.
void | SetScript (Script script)
| THis method will use the Script instance passed as parameter and will set as the Script associated with this scene node.
Script | GetScript ()
| This method will return the Script instance associated with the scene node.
void | SetTimeLine (TimeLine timeLine)
| Same as SetScript but for timelines.
TimeLine | GetTimeLine ()
| Will return the instance of the TimeLine class associated with this scene node.
void | Evaluate (double appTime, float elapsedTime)
| The evaluate method will ask the script and the timeline to evaluate themselves. This is a form of update but the work is different from what is performed in the update method. The update method will update geometric information (bounding boxes....). The evaluate method will 'update' the node as far as the logic (script and timeline) associated with it is concerned. This method is marked virtual because you could create classes deriving from SceneNode that will implement their own logic through different means than the script and the timeline. Then in these derive classes you will have the opportunity to update the node logic and values through this method.
void | Reset ()
| Scripts and timeline have reset methods. They will be called when the simulation is reseted (stoped and restarted from the beginning).
void | AddEvent (Event evt)
| This method will add events to the list of events of our scene node.
void | RemoveEvent (Event evt)
| This method is the pendant of the RemoveEvent.
Event[] | popEventsByName (string name)
| Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.
Event[] | popEventsByType (string type)
| Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.
Event[] | peekEventsByName (string name)
| Like popEventsByName except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.
Event[] | peekEventsByType (string type)
| Like popEventsByType except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.
## Properties
string | Name`[get]`
| We need a name to be able to identity the script and quite a lot of things.

## Detailed Description

Definition at line 7 of file IAmScriptable.cs.

## Member Function Documentation

void DXGfxLib.IAmScriptable.AddEvent | ( | Event | evt | ) |

This method will add events to the list of events of our scene node.

Parameters:

  | evt |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.AddEvent | ( | Event | evt | ) |

This method will add events to the list of events of our scene node.

Parameters:

  | evt |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.Evaluate | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

The evaluate method will ask the script and the timeline to evaluate themselves. This is a form of update but the work is different from what is performed in the update method. The update method will update geometric information (bounding boxes....). The evaluate method will 'update' the node as far as the logic (script and timeline) associated with it is concerned. This method is marked virtual because you could create classes deriving from SceneNode that will implement their own logic through different means than the script and the timeline. Then in these derive classes you will have the opportunity to update the node logic and values through this method.

Parameters:

  | appTime |
  | elapsedTime |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.Evaluate | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  |

The evaluate method will ask the script and the timeline to evaluate themselves. This is a form of update but the work is different from what is performed in the update method. The update method will update geometric information (bounding boxes....). The evaluate method will 'update' the node as far as the logic (script and timeline) associated with it is concerned. This method is marked virtual because you could create classes deriving from SceneNode that will implement their own logic through different means than the script and the timeline. Then in these derive classes you will have the opportunity to update the node logic and values through this method.

Parameters:

  | appTime |
  | elapsedTime |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Script DXGfxLib.IAmScriptable.GetScript | ( |  | ) |

This method will return the Script instance associated with the scene node.

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Script DXGfxLib.IAmScriptable.GetScript | ( |  | ) |

This method will return the Script instance associated with the scene node.

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Here is the caller graph for this function:

TimeLine DXGfxLib.IAmScriptable.GetTimeLine | ( |  | ) |

Will return the instance of the TimeLine class associated with this scene node.

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

TimeLine DXGfxLib.IAmScriptable.GetTimeLine | ( |  | ) |

Will return the instance of the TimeLine class associated with this scene node.

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Here is the caller graph for this function:

Event [] DXGfxLib.IAmScriptable.peekEventsByName | ( | string | name | ) |

Like popEventsByName except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | name |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.peekEventsByName | ( | string | name | ) |

Like popEventsByName except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | name |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.peekEventsByType | ( | string | type | ) |

Like popEventsByType except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | name |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.peekEventsByType | ( | string | type | ) |

Like popEventsByType except that the events will remain associated with the object until some other code removes that association. It is a bit like the events remain 'fired' for further consumtion.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | name |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.popEventsByName | ( | string | name | ) |

Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | name |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.popEventsByName | ( | string | name | ) |

Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | name |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.popEventsByType | ( | string | type | ) |

Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | type |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

Event [] DXGfxLib.IAmScriptable.popEventsByType | ( | string | type | ) |

Return an Array with all fired events currently associated with the scriptable object and removes the association with the object.

Just as a reminder this is the life of events: Events are added to the scriptable object timeline. At the appropriate time they are fired, I mean associated with the object (aka added to a specific event collection). Then they remain associated with the object until some code removes them from there!

Parameters:

  | type |

Returns:

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.RemoveEvent | ( | Event | evt | ) |

This method is the pendant of the RemoveEvent.

Parameters:

  | evt |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.RemoveEvent | ( | Event | evt | ) |

This method is the pendant of the RemoveEvent.

Parameters:

  | evt |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.Reset | ( |  | ) |

Scripts and timeline have reset methods. They will be called when the simulation is reseted (stoped and restarted from the beginning).

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.Reset | ( |  | ) |

Scripts and timeline have reset methods. They will be called when the simulation is reseted (stoped and restarted from the beginning).

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.SetScript | ( | Script | script | ) |

THis method will use the Script instance passed as parameter and will set as the Script associated with this scene node.

Parameters:

  | script |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.SetScript | ( | Script | script | ) |

THis method will use the Script instance passed as parameter and will set as the Script associated with this scene node.

Parameters:

  | script |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.SetTimeLine | ( | TimeLine | timeLine | ) |

Same as SetScript but for timelines.

Parameters:

  | timeLine |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

void DXGfxLib.IAmScriptable.SetTimeLine | ( | TimeLine | timeLine | ) |

Same as SetScript but for timelines.

Parameters:

  | timeLine |

Implemented in DXGfxLib.Scene, DXGfxLib.SceneObject, DXGfxLib.Scene, and DXGfxLib.SceneObject.

## Property Documentation

string DXGfxLib.IAmScriptable::Name`[get]`

We need a name to be able to identity the script and quite a lot of things.

Implemented in DXGfxLib.Scene, and DXGfxLib.SceneObject.

Definition at line 12 of file IAmScriptable.cs.

The documentation for this interface was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/IAmScriptable.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/IAmScriptable.cs